summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-09 06:31:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-09 06:31:44 +0000
commit9d3d2bbccf04f8f58e5f54628a5add49fc2f1874 (patch)
tree7cf33fadabc12a405e8f517b9f46e6c7f5270b70 /dev-python
parent47194bbd69eb669372b2fe8328432e3ed380d4d4 (diff)
downloadbaldeagleos-repo-9d3d2bbccf04f8f58e5f54628a5add49fc2f1874.tar.gz
baldeagleos-repo-9d3d2bbccf04f8f58e5f54628a5add49fc2f1874.tar.xz
baldeagleos-repo-9d3d2bbccf04f8f58e5f54628a5add49fc2f1874.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiodns/Manifest1
-rw-r--r--dev-python/aiodns/aiodns-3.1.0.ebuild34
-rw-r--r--dev-python/aiohttp/Manifest1
-rw-r--r--dev-python/aiohttp/aiohttp-3.8.6.ebuild108
-rw-r--r--dev-python/asyncstdlib/Manifest1
-rw-r--r--dev-python/asyncstdlib/asyncstdlib-3.10.9.ebuild21
-rw-r--r--dev-python/blinker/Manifest1
-rw-r--r--dev-python/blinker/blinker-1.6.3.ebuild21
-rw-r--r--dev-python/cwcwidth/Manifest1
-rw-r--r--dev-python/cwcwidth/cwcwidth-0.1.9.ebuild35
-rw-r--r--dev-python/cycler/Manifest1
-rw-r--r--dev-python/cycler/cycler-0.12.1.ebuild26
-rw-r--r--dev-python/flask-paginate/Manifest1
-rw-r--r--dev-python/flask-paginate/flask-paginate-2023.10.8.ebuild34
-rw-r--r--dev-python/msgpack/Manifest1
-rw-r--r--dev-python/msgpack/msgpack-1.0.5.ebuild49
-rw-r--r--dev-python/msgpack/msgpack-1.0.6.ebuild51
-rw-r--r--dev-python/pdm-backend/Manifest1
-rw-r--r--dev-python/pdm-backend/pdm-backend-2.1.7.ebuild68
-rw-r--r--dev-python/pip-run/Manifest1
-rw-r--r--dev-python/pip-run/pip-run-12.4.0.ebuild58
-rw-r--r--dev-python/pypdf/Manifest2
-rw-r--r--dev-python/pypdf/pypdf-3.16.3.ebuild57
-rw-r--r--dev-python/pytest-timeout/Manifest1
-rw-r--r--dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild41
-rw-r--r--dev-python/pyupgrade/Manifest1
-rw-r--r--dev-python/pyupgrade/pyupgrade-3.15.0.ebuild30
-rw-r--r--dev-python/pywlroots/Manifest1
-rw-r--r--dev-python/pywlroots/pywlroots-0.16.6.ebuild45
-rw-r--r--dev-python/websocket-client/Manifest1
-rw-r--r--dev-python/websocket-client/websocket-client-1.6.4.ebuild37
31 files changed, 630 insertions, 101 deletions
diff --git a/dev-python/aiodns/Manifest b/dev-python/aiodns/Manifest
index a8e6b03e6fe1..6a8648ad761a 100644
--- a/dev-python/aiodns/Manifest
+++ b/dev-python/aiodns/Manifest
@@ -1 +1,2 @@
DIST aiodns-3.0.0.tar.gz 6743 BLAKE2B 2a3c61156069fa598df58191b35383da3e054396cdeb1bc8916cc0414bb6efc89d45789883a5b4f33e3a08a6ee544356b02d6c697c096deae3398f0ff4d3c316 SHA512 8c1016f3b0cb461e70e9a55034f9ad3b3db705a845bf20bb6503c7a5d592b4c5d2e8ddc60b375c5fafdc559dc4566736f4c93f26710be2dcbd181284ef039825
+DIST aiodns-3.1.0.tar.gz 7156 BLAKE2B 0d3b5b84631e3ed378c4334966391a639d577fb6b983b4c8cbaf306fcbb167e897b6094f9cbb3a7fb8355c352830feda1fee3a923044bf5219836845d162d1b3 SHA512 6e432555924a3d53ba95ed160a6211486041dfee8c16f18cfd23be3f1d6a50a1fad28fd406acc5de87ba277f7172c3d8ff84633585323a3f659312c4a713b096
diff --git a/dev-python/aiodns/aiodns-3.1.0.ebuild b/dev-python/aiodns/aiodns-3.1.0.ebuild
new file mode 100644
index 000000000000..ccd750b19fa8
--- /dev/null
+++ b/dev-python/aiodns/aiodns-3.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple DNS resolver for asyncio"
+HOMEPAGE="https://github.com/saghul/aiodns/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+# Tests fail with network-sandbox, since they try to resolve google.com
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND=">=dev-python/pycares-3[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet changed, https://github.com/saghul/aiodns/issues/107
+ tests.py::DNSTest::test_query_bad_chars
+ )
+
+ epytest tests.py
+}
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 36636c3da988..2ccd32663336 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1 +1,2 @@
DIST aiohttp-3.8.5.tar.gz 7358303 BLAKE2B e1a7df12380cded655a57735527607cc95661da99fe4a5c1aec40a2586deecee97592c9ea5e9bd43621bf069fe87f00d7bef712fab2b84783e14ff229495a7c6 SHA512 613dfe836c511832c68eadbd0a76882ec362ff956937aa913fc7567b7e3e1ac2085a70a1eca42fb016f38c076a131b506b22f26879ad06b077cb4a85e9dcd8db
+DIST aiohttp-3.8.6.tar.gz 7352172 BLAKE2B 4dc602abb4f9bd7c65bda7d11cde3e703bbc7786fb3f8ef36922caef42912b2c10a198ebdcecd3fcd022c3a9a729766a2023636f756a8fa10663bf988554f967 SHA512 43f1dd6670d90aefee7f0f30411b13c643ea684815b493cc4437e5f1981f4fdf4b718a40543d7c3c8c70d8b27470b8f3bf1609e46146362e0490ce0990a057f5
diff --git a/dev-python/aiohttp/aiohttp-3.8.6.ebuild b/dev-python/aiohttp/aiohttp-3.8.6.ebuild
new file mode 100644
index 000000000000..422e564220b6
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.8.6.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0.0_alpha3[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ <dev-python/charset-normalizer-4[${PYTHON_USEDEP}]
+ >=dev-python/charset-normalizer-2.0[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # increase the timeout a little
+ sed -e '/abs_tol=/s/0.001/0.01/' -i tests/test_helpers.py || die
+
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/xfail_strict/d' setup.cfg || die
+
+ # which(1)... also -Werror, sigh
+ sed -i -e 's:which:command -v:' -e 's:-Werror::' Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure_all() {
+ # workaround missing files
+ mkdir requirements tools || die
+ > requirements/cython.txt || die
+ > tools/gen.py || die
+ chmod +x tools/gen.py || die
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ # TODO
+ tests/test_client_session.py::test_request_tracing_url_params
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch,
+ # sigh
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin,pytest_forked
+ rm -rf aiohttp || die
+ epytest -n "$(makeopts_jobs)" --forked
+}
diff --git a/dev-python/asyncstdlib/Manifest b/dev-python/asyncstdlib/Manifest
index 3470d80bd14f..9844e6594a99 100644
--- a/dev-python/asyncstdlib/Manifest
+++ b/dev-python/asyncstdlib/Manifest
@@ -1 +1,2 @@
DIST asyncstdlib-3.10.8.tar.gz 43762 BLAKE2B 28d8c592dd38f7571f86f6664d8489ac42638d1eacaf98163d915919017b4e9de3f246fe028ffded73bd2e0df703a952732dc87f8d70d3e73305bca9bc82129a SHA512 d71894658b42b54e2d75f7dabefd6480933c697ece4372ea2dd3a99b02371a58e1b883fa0523c031b8c331887bb9eaeac8bec381531bee3cedf804056f98c127
+DIST asyncstdlib-3.10.9.tar.gz 43799 BLAKE2B f6812fa8bf84913c122d881e70945c68a7b0680dcd3db944c429ef050952c8c78c6858bec2075668445bfd0f81dbb5215d50a82bf563ab2bbcbff60d0d66c17f SHA512 f0f80d6c63e20790a74142c8438937f1f79314675ff2da3ea3776a33b867e2705ffcf7605726afe35bb1b96dc3a8b0a86a292d26c01ee727425938eda57e3915
diff --git a/dev-python/asyncstdlib/asyncstdlib-3.10.9.ebuild b/dev-python/asyncstdlib/asyncstdlib-3.10.9.ebuild
new file mode 100644
index 000000000000..ac63707665d3
--- /dev/null
+++ b/dev-python/asyncstdlib/asyncstdlib-3.10.9.ebuild
@@ -0,0 +1,21 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The missing async toolbox"
+HOMEPAGE="
+ https://github.com/maxfischer2781/asyncstdlib/
+ https://pypi.org/project/asyncstdlib/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/blinker/Manifest b/dev-python/blinker/Manifest
index 4f52ec226af4..0f2a8a7cd65e 100644
--- a/dev-python/blinker/Manifest
+++ b/dev-python/blinker/Manifest
@@ -1 +1,2 @@
DIST blinker-1.6.2.tar.gz 28699 BLAKE2B dd19193af5af97d6ea373a37fcd7318e5e9c18f04503821224bd687dc8f065ef41142bbb136b964661501ab2d9c8a8e2bd1e3e865e4df7ed3a7e627d67962bb1 SHA512 c84bb955e97e6a13e6fda5f070373736bd1361f40ad9202eeaa300055b163648db381060f6b45fdf405a0bd4ef07b694875735e6f220d51d1b7a5be7efb28f72
+DIST blinker-1.6.3.tar.gz 28092 BLAKE2B 8fb0d6b050ab055a9364888c0fe590d4eada5d5d4df19f61aeeab503c9f70bde52a3120601b62747efbffd2ab4ebb055318880cd3bfd0908d731477dd034e03a SHA512 2b68751246ac084a97491a360496971416564f21cae909799e2942e915fbee1c6399e43aaa6391cadcdd87f57340013b3a894afa2e9b5dc156baa1245c4928b9
diff --git a/dev-python/blinker/blinker-1.6.3.ebuild b/dev-python/blinker/blinker-1.6.3.ebuild
new file mode 100644
index 000000000000..825a0e135d1a
--- /dev/null
+++ b/dev-python/blinker/blinker-1.6.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast, simple object-to-object and broadcast signaling"
+HOMEPAGE="
+ https://github.com/pallets-eco/blinker/
+ https://pypi.org/project/blinker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cwcwidth/Manifest b/dev-python/cwcwidth/Manifest
index 50bc2c36e5bc..efd4593002f2 100644
--- a/dev-python/cwcwidth/Manifest
+++ b/dev-python/cwcwidth/Manifest
@@ -1 +1,2 @@
DIST cwcwidth-0.1.8.gh.tar.gz 11402 BLAKE2B 21c5425f9ead30a23dd184f671b8dbeff42189d68a5d8fd61ad1a127934529e2dca1ca1462ea62a8b7c1c051b41e6e3b44c4b8b12a325b20a2c25fab4636a243 SHA512 6e2f47928362dc36dcf7a77152390326a2e49577403c084965fc532bf827b7b05b7cdd1d4ad88263023826e73d3525c80d8578414e25bf9a3e3871c8ae1211d7
+DIST cwcwidth-0.1.9.gh.tar.gz 11472 BLAKE2B 70308dcca8ea0c5cbc76726e58ef8a8b2b4bd015411753e91370a34cb600aeb15fdddc537561b0a2e5f7338e77b6a1e2a30207cbcd92d14c60a8b8bfd87ea51f SHA512 f3911fc1a32bb3739ef81d0dfb61b47de8ab62ad26f9f3c361c458b6cb0e4000a5625969972fce09e7906fd35c7ddf7bd7f6b9bcc8efd799433282bdb326969d
diff --git a/dev-python/cwcwidth/cwcwidth-0.1.9.ebuild b/dev-python/cwcwidth/cwcwidth-0.1.9.ebuild
new file mode 100644
index 000000000000..0adaeb923282
--- /dev/null
+++ b/dev-python/cwcwidth/cwcwidth-0.1.9.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for wc(s)width"
+HOMEPAGE="
+ https://github.com/sebastinas/cwcwidth/
+ https://pypi.org/project/cwcwidth/
+"
+SRC_URI="
+ https://github.com/sebastinas/cwcwidth/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/cycler/Manifest b/dev-python/cycler/Manifest
index b9c8bb610ef9..bc276211e746 100644
--- a/dev-python/cycler/Manifest
+++ b/dev-python/cycler/Manifest
@@ -1,2 +1,3 @@
DIST cycler-0.11.0.gh.tar.gz 19028 BLAKE2B 7726067db988e40b833ebcef4a9122fd91753925af829a0023c08081ea7f315b84fd3a5d13731dba72d2820159da45698200ca8649b65b854d48e1a114e31d81 SHA512 cdf91b861d20710b3d77ad105e54668fafa4be69e566d6a09683c638a35aa423b542a141ca0bbffd7a6cd30c8e2a629d578be88648ab9f38a0c43405f2f39613
DIST cycler-0.12.0.gh.tar.gz 23308 BLAKE2B 7ef27c75314c860081a76004d720f66f20654d255fcc193f4c0a6473f61fcafc78b44a03631cd5d45c6ad205264d93c352bd11c25de845c537d3dd2279b69e01 SHA512 dcbaf8c8d66ae0a302f9dc7507d7064ded133ef5349f2d08cfb52beb3d7a81aa7cd0bebd5da357934431d39b6141e0e2ce344ab7f6e12b6ec6f61649bef3e5c3
+DIST cycler-0.12.1.gh.tar.gz 23326 BLAKE2B a7ec89573c09f7e2e1f185915e229e346185bcd81af5b1f8a352147f50b63ed051d7d09cd63adc3f9513fbe5005afeaa72644f4ad712e86ccfcd3326485507db SHA512 f1d264de9c5e63515649aefb5937ef7a85d781c07b1c7c8fe291c969565abb18eb48d6d62f77d278746c60900c93700cbb095d280e09de768aedc2463e60d9a2
diff --git a/dev-python/cycler/cycler-0.12.1.ebuild b/dev-python/cycler/cycler-0.12.1.ebuild
new file mode 100644
index 000000000000..af00adae97d8
--- /dev/null
+++ b/dev-python/cycler/cycler-0.12.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Composable style cycles"
+HOMEPAGE="
+ https://matplotlib.org/cycler/
+ https://pypi.org/project/cycler/
+ https://github.com/matplotlib/cycler/
+"
+SRC_URI="
+ https://github.com/matplotlib/cycler/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos"
+
+distutils_enable_tests pytest
diff --git a/dev-python/flask-paginate/Manifest b/dev-python/flask-paginate/Manifest
index 60e9ebf0e3fe..817dc55544c7 100644
--- a/dev-python/flask-paginate/Manifest
+++ b/dev-python/flask-paginate/Manifest
@@ -1 +1,2 @@
DIST flask-paginate-2022.1.8.gh.tar.gz 120847 BLAKE2B 110d6f7bb6c244378a41ab26c914898b54fb05cc00cfc6c7c3e15ed96e2163f92cc89c4ce93199091d8ed2f52301e997ebc16a71a3d802b8107249f9f832ca25 SHA512 9f2e0e50d73ac15ec2a413671a52e9dbbbb7eac8576494483441ea1287a12e2076cf649ee9df0bf3b3d2c7e13eebe4a835031ab57a2e8b2015f383d53318a0b9
+DIST flask-paginate-2023.10.8.gh.tar.gz 120855 BLAKE2B c872cb635220b92c7fab5a997d8eb90c30fd5036acab81cc72ca9f5381f370faabb8a4d641b34c73f595e8b6f4a10bedbc1650a5bd57df292fcfd6a267cfc64c SHA512 4071fefe44cf0474e9b5716976d163449145f3ba4276e5d467bb513e1be371e044096d222e3f19b228041863f4f0136a1838c4d066a890c8c21359d17e674596
diff --git a/dev-python/flask-paginate/flask-paginate-2023.10.8.ebuild b/dev-python/flask-paginate/flask-paginate-2023.10.8.ebuild
new file mode 100644
index 000000000000..74cca3655bd9
--- /dev/null
+++ b/dev-python/flask-paginate/flask-paginate-2023.10.8.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pagination support for flask"
+HOMEPAGE="
+ https://flask-paginate.readthedocs.io/
+ https://github.com/lixxu/flask-paginate/
+ https://pypi.org/project/flask-paginate/
+"
+SRC_URI="
+ https://github.com/lixxu/flask-paginate/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/flask[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest tests/tests.py
+}
diff --git a/dev-python/msgpack/Manifest b/dev-python/msgpack/Manifest
index e171b1fbe341..8b9852db52dd 100644
--- a/dev-python/msgpack/Manifest
+++ b/dev-python/msgpack/Manifest
@@ -1,3 +1,2 @@
DIST msgpack-1.0.5.tar.gz 127834 BLAKE2B 3dcf454630021e35d5c6d5ce850d7ac74a6d11d6fe7c7ed07040daa62585bd6b11dc0f68a5b4c4bf20346c25bc23017f79f2d1bad09f175008b184461d0eea5d SHA512 bc3bf27ca7a9204c5ebc009e4a03db4fb48f6c2733bef393aed16652f07ac92c9400258818743245598343c86494d39b39017ab70d7563a5844091eca11a9faa
-DIST msgpack-1.0.6.tar.gz 166462 BLAKE2B 19cbef99c44b6509b829462b54cea6c6bc47a30714e5f89b8f08329f2b1b46f4dea7bab4e1c32c4b9cdee44ab10d5223f3c3cc8df52c67d5f98a917dbbc3dd99 SHA512 dde756a1f3d390067a065b12c7e2c3b94aab9378d9d41e3b5338bc2e4e809b234b390618dddd6ccff13403ac03750d7c44fa567c8f87c23350e62d4d469d9707
DIST msgpack-1.0.7.tar.gz 166311 BLAKE2B 8ddf2acf6bf81498d981c3ec83cbdffde1b1611f8ac23d3377f3f1541e679eda288b40b949bd586ca24a7059da3a0f73fa797a661375135ec092f408521c8527 SHA512 0ebd36f45b73106a4272588b55d55e72b6b8441be652b16f63f5547ae7ff1bc517a6b4549ef999ee63deb2856354a71ef37fd8d8829e516232518b046cf589c5
diff --git a/dev-python/msgpack/msgpack-1.0.5.ebuild b/dev-python/msgpack/msgpack-1.0.5.ebuild
deleted file mode 100644
index 93e17ff90c6a..000000000000
--- a/dev-python/msgpack/msgpack-1.0.5.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="MessagePack (de)serializer for Python"
-HOMEPAGE="
- https://msgpack.org/
- https://github.com/msgpack/msgpack-python/
- https://pypi.org/project/msgpack/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
-IUSE="+native-extensions"
-
-# extension code is relying on CPython implementation details
-BDEPEND="
- native-extensions? (
- $(python_gen_cond_dep '
- >=dev-python/cython-0.29.30[${PYTHON_USEDEP}]
- ' 'python*')
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Remove pre-generated cython files
- rm msgpack/_cmsgpack.cpp || die
-
- if ! use native-extensions ; then
- sed -i -e "/have_cython/s:True:False:" setup.py || die
- fi
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- rm -rf msgpack || die
- epytest
-}
diff --git a/dev-python/msgpack/msgpack-1.0.6.ebuild b/dev-python/msgpack/msgpack-1.0.6.ebuild
deleted file mode 100644
index 46f5704f68a6..000000000000
--- a/dev-python/msgpack/msgpack-1.0.6.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="MessagePack (de)serializer for Python"
-HOMEPAGE="
- https://msgpack.org/
- https://github.com/msgpack/msgpack-python/
- https://pypi.org/project/msgpack/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
-IUSE="+native-extensions"
-
-# extension code is relying on CPython implementation details
-BDEPEND="
- native-extensions? (
- $(python_gen_cond_dep '
- >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
- ' 'python*')
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Remove pre-generated cython files
- rm msgpack/_cmsgpack.cpp || die
-
- # native-extensions are always disabled on PyPy
- # https://github.com/msgpack/msgpack-python/blob/main/setup.py#L76
- if ! use native-extensions ; then
- export MSGPACK_PUREPYTHON=1
- fi
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- rm -rf msgpack || die
- epytest
-}
diff --git a/dev-python/pdm-backend/Manifest b/dev-python/pdm-backend/Manifest
index 03c52353bffb..68dbd58ffe00 100644
--- a/dev-python/pdm-backend/Manifest
+++ b/dev-python/pdm-backend/Manifest
@@ -1,3 +1,4 @@
DIST pdm-backend-2.1.4.gh.tar.gz 134278 BLAKE2B 38e52761d54cab96727d5015e41de76cd6d7eb6dbd02829ed2ddeeb2e2d64d42a0eb6bb09e055362e1dd181d9e7781ed9f9abcb2f96de342cd5780e1f21a8708 SHA512 4833819f8828f5e2ff204ca18478704d8d66c977c747f9b550dc1ecfee57a8adbfcddaea6dded8d8ea0c0e0c7745e0704e12acae30d183cb27cf4c1fad331791
DIST pdm-backend-2.1.5.gh.tar.gz 134316 BLAKE2B 9337990b4ed009e506f0eee82e9f8d50fc281dbf917dc964daf75230a4c2b9cc5bf0748afe9aa7b5b6f9036249b87ec338b129136b2fd92619c12000e77a7663 SHA512 867c36a9381f4e6a2c81f2d987ce33953eaf78a43b4fa03df54f78b6c9cfe645a1ae4f3dd1a514e0d14208ad7fc75af954fa46be3c8b4b54c7ac7e16eead5aaf
DIST pdm-backend-2.1.6.gh.tar.gz 134376 BLAKE2B 338ac4cd18d932d65e1ef123b81761707e8d602e8d0f171e26d849535a42e7f79f1b2828f8bedb775674d7a530329aa2dc3c5fe2f9c7e9042fc5ac36da5a0360 SHA512 c0f6278451efb242f0e9585d8298f8f73a0944cd462bac31d0528edf96f51b53ee7efbc58486daf8fdbcac8430e8bf6bc7869e9e455796a87e58d265789eb0de
+DIST pdm-backend-2.1.7.gh.tar.gz 134479 BLAKE2B e559792b53310d6c159ed0cfae6fd9332bbdebfe0efaa9aae7e149b4800b7231e1561723b6aebb4cd722bc47c5a8c9f13180dfe96607a08a9a5c0fba530c9098 SHA512 d47b814b427799d8b2d106b4721c770fd703143cac5de819d74c47d4808f9130bd5835d5fafe41ab3bb17abfedeb770c8863a9cb9a7c8aba0ef9315f5308e6b3
diff --git a/dev-python/pdm-backend/pdm-backend-2.1.7.ebuild b/dev-python/pdm-backend/pdm-backend-2.1.7.ebuild
new file mode 100644
index 000000000000..0b07020f6b6e
--- /dev/null
+++ b/dev-python/pdm-backend/pdm-backend-2.1.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-backend/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-22.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r src/pdm/backend/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.backend\._vendor\.:from :' \
+ -e 's:from pdm\.backend\._vendor ::' \
+ -e 's:import pdm\.backend\._vendor\.:import :' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ # this must not be set during src_test()
+ local -x PDM_BUILD_SCM_VERSION=${PV}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/pip-run/Manifest b/dev-python/pip-run/Manifest
index 4a03525c74e8..9d8085c59924 100644
--- a/dev-python/pip-run/Manifest
+++ b/dev-python/pip-run/Manifest
@@ -3,3 +3,4 @@ DIST pip-run-12.1.0.tar.gz 34387 BLAKE2B 306dce020589a0cdcaddc70baf75a41621c72a4
DIST pip-run-12.2.0.tar.gz 36557 BLAKE2B a711b984895937546b066accf6e51213ddce2c5a7fff77fd018d3588054968fd3b1560f343f98474944302fe12629272ba1fe374c97b5ab8b6ca4694d4b05081 SHA512 a49a94f163a1344d289d53402b41ba31dceab360040e936a3129a7ac7f8c85eb71d4da5a37e517c8a626e6beac2a3265e617b8e63050f0e952bc94969b3dc6ee
DIST pip-run-12.2.2.tar.gz 37657 BLAKE2B ec4c4452e5721b084e6ad175e044a2e414d5885e60b1e85492dd4df458d1fddf044fa02b50a79678564296d2ea8ccc09c021d922d840342bb215f3c737405425 SHA512 0416a58f91a76982ca5473a4253d592ddfb3a40234a1641bc2f7cc53b3809cb015a47ea64597b4186824cc2cd0029647f2af2b152025757626a9b80ca3b62737
DIST pip-run-12.3.1.tar.gz 37698 BLAKE2B ff16e49bc45e6f24ce33b49dad5b23930aa4148d73751b786e7cb5776773ccc7f740b5c45b90ec1f93d8ab22f6f9683367be38c67245c6f1323f1a075492a2ea SHA512 ccacd12cb7ff929ae89f3cef867e3ed3a800bd91121f5d34b2c5f9ee31c1e1b1b6bd8e910d63abe388439c0e0ee9960fcfc33dbd21cf755f2903d6817d2a53ac
+DIST pip-run-12.4.0.tar.gz 37749 BLAKE2B 76e6708cbcb9329b42ac031ee8f2253f04f898a8d6c83ae687f3a7f6e13f33076fdadad641562f379a5cdad1386cb71bf1b40f494c484f86286d1188f86c04ad SHA512 4e6709b2e22b49a3486f4d1caa07ae3d664b09bf76c9338ef8c9fb80024700fcd58c135d3cf3b69e7fcbf1ce20c996436fa87be03fbe9f5801b274ff72a4a790
diff --git a/dev-python/pip-run/pip-run-12.4.0.ebuild b/dev-python/pip-run/pip-run-12.4.0.ebuild
new file mode 100644
index 000000000000..badf8831e523
--- /dev/null
+++ b/dev-python/pip-run/pip-run-12.4.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Install packages and run Python with them"
+HOMEPAGE="
+ https://github.com/jaraco/pip-run/
+ https://pypi.org/project/pip-run/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/autocommand[${PYTHON_USEDEP}]
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-env[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-functools-3.7[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.3[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flit-core[${PYTHON_USEDEP}]
+ dev-python/jaraco-path[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.3[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ ' python3_{10..11})
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=()
+
+ if ! has_version "dev-python/nbformat[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_scripts.py
+ )
+ fi
+
+ epytest -m "not network"
+}
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 06f7f703576d..f15f3220257b 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,4 +1,6 @@
DIST pypdf-3.15.5.gh.tar.gz 7930893 BLAKE2B acdd6254c45e11631faccc4fd6029525d7cec52f7cf222d48f95a9bb736a83bdb9dfc6bf2830f55d0f881eb23ca0641c06fa97165c64789f7b152998febfe017 SHA512 173cfbfbbd5f2f08ebd03aa36750904d5a7ac328c27da1b38bda7b34586bf86eab391b3c1e9a6dd5f2e754d1871303afe151a80a3bb5d4ab867b6a019ecef054
DIST pypdf-3.16.2.gh.tar.gz 7968803 BLAKE2B 7bca0cf5baefb79d9c3a76445fd5cf77478a2f076f5c3e6c891d9f107cbb2ee08535388ae1ba84b0aeaf63ebebfe54966603cbeb7a5a2c0b0327e7506893d893 SHA512 01dfdcf5038820dd0d922e57cfa3eae472a406eca4d24a46596028aa23d0bb88a805204faa3576e3ed4e49ba552619002b2be305498b31e9b96afa19a2575f7d
+DIST pypdf-3.16.3.gh.tar.gz 7969623 BLAKE2B f7e09af12483500c47d88395b52d00315e6e4943631223aa89111f79d6e0ac6714450895ef48086c79ff4e325c8e79b937deea3c06e76848349e379a70d3e8dd SHA512 54db6f2e7946b3785379949f54f9e11c00f4e8cc210923b1007e02820d0e87951146e684751c67e5d66058b5600f83c00371bafae2f0c6068ade966c36623d0f
DIST pypdf-sample-files-935652968f76a41b4fa51afd05498e7dd7314c5e.gh.tar.gz 11187445 BLAKE2B e9332009a49249fdaa8b6c29258b11dfcf3627a5550ea7402cf0288bb4b0537136b039e6f4aefb03574076d1fc0af6100effc0d36510f035d9e63836ad52c4d7 SHA512 8d525aa323e5b45f71130459faa9686ec4ae04bc594895a64f1a5b6d027f866c48aca78602ad526000a11b547cc77068d1ac5e733d3e3a99df0e257c02fbb9e7
DIST pypdf-sample-files-b60ca63512466d1bafc587a2b223961b23a8e48a.gh.tar.gz 11199764 BLAKE2B e68bfb587c26a7a0ba9bb687e2b44d607cf890454dc2e5380db4037cb9a0be571e72b178d5ac86a0556f09fc344fc6ea76ee87bf9c6dee63799853acaba714b0 SHA512 20ff1d623a67fd0b08e1dfefc47d29ed28b5c62f1e0ef5a32699876e265541d97c10067ec954a387ba4952319d6903fb3d4db97e686200f9142329db06a11a7b
+DIST pypdf-sample-files-d87c33efc0f98225132dfe9c47980208b8130aa4.gh.tar.gz 11645535 BLAKE2B 3f96adaf4abc50a4390d9432878571a0ef9dd43dd34f307bb4bb6fd110d5ecdde988578860f110a6c8578cef96eac5410ded3204989fd20e6a6f1a84fac2fe83 SHA512 cb68a2eb06ef6738bef979f3b20c66fb925fbcb029cb22dfa5ea9b23b71ba07cb8e364e14eca34ebeb3b11e367c94738e32c9067b56b4da505bf77ab402abd06
diff --git a/dev-python/pypdf/pypdf-3.16.3.ebuild b/dev-python/pypdf/pypdf-3.16.3.ebuild
new file mode 100644
index 000000000000..08c21915a1ac
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.16.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=d87c33efc0f98225132dfe9c47980208b8130aa4
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ # TODO: requires fpdf
+ tests/test_page.py::test_compression
+ tests/test_writer.py::test_merging_many_temporary_files
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/pytest-timeout/Manifest b/dev-python/pytest-timeout/Manifest
index 80ad097be8da..d4261794b4f9 100644
--- a/dev-python/pytest-timeout/Manifest
+++ b/dev-python/pytest-timeout/Manifest
@@ -1 +1,2 @@
DIST pytest-timeout-2.1.0.tar.gz 18386 BLAKE2B 1c84b67e8d07056f9c5b188e467832d4aa292ce1047da6cb13b2939962d2599853db134b16ff3a1a953cbdc1c1772be961eadc9925b32f8dbe514938ede90d40 SHA512 5750e5183669ed9b83fbb76bd7fc9fc1f5f6eef3d9b675dc44f6c7edfd2c6d15739d71e845ededaa192c93da73026ac3376a3295be9f7d3f3eac325660ce7bf3
+DIST pytest-timeout-2.2.0.tar.gz 16391 BLAKE2B 550b803ed4a64ab0fead7f6e61297ea6bfc6e59988998c5383fdccdebb3664fe9f6651314bb1a439f6431e844bb770feb50bedcabd568e4dfea7526d8c328dd7 SHA512 11a0c4e958b324bff3e149bf2a7dc5bf6ab6549405d5061856f8f1ad0e43df1cddce83df4c804b717276bfbcfcf60ee6b400625d0f4e4e73c98785146c22164f
diff --git a/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild b/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild
new file mode 100644
index 000000000000..206ed386bfe2
--- /dev/null
+++ b/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pytest plugin to abort hanging tests"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-timeout/
+ https://pypi.org/project/pytest-timeout/
+"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+# do not rdepend on pytest, it won't be used without it anyway
+# pytest-cov used to test compatibility
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ ' python3_{10..11} pypy3)
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test_pytest_timeout.py::test_suppresses_timeout_when_debugger_is_entered
+ test_pytest_timeout.py::test_disable_debugger_detection_flag
+)
diff --git a/dev-python/pyupgrade/Manifest b/dev-python/pyupgrade/Manifest
index 8d4f401e669a..23256ddedf5e 100644
--- a/dev-python/pyupgrade/Manifest
+++ b/dev-python/pyupgrade/Manifest
@@ -1,3 +1,4 @@
DIST pyupgrade-3.12.0.gh.tar.gz 63321 BLAKE2B 8b8e5f637c4cd59d5c208bd3d5a620c9462ba1998dd88ead150240fb4b2eece78d97b611b91ecc6fe800f22f19705fb97eaf38c3e3a6fa8efcf2c9cf88435849 SHA512 1d585491fb1da8ec0ac269fe3cd068f515dfea5fd54454906d91ef316bb740443e6140669a4bbc1fe762feea9e637a2f553e606695d7bfc352280b52b663e33d
DIST pyupgrade-3.13.0.gh.tar.gz 63800 BLAKE2B b1e5c1288b36f7193aae03476ceb0009bd193d0c2801e425501580bb0c8800d7bb101587999133673f15a874956763d55cb8b920e267f135b5d5743de0666769 SHA512 9cd1392bc9522ebffc30e9f9344cbf753f930b684c7022f19d50de69463dea35ec5ea60bba4e6f5ebc74936c784beff57b44d0e7c1c83d03d21f3b57c537e243
DIST pyupgrade-3.14.0.gh.tar.gz 64107 BLAKE2B a9499bd5db04c37a427ad1aea17f8c7c2fee53175e84351b4c94e8685c31f30683dfc381c4e99335909650f0ea13e474b01f8fba529e728526ec6330a099f75d SHA512 818b1caa83771cbcc8b9577e6d0b9d9c6c6a42fd88b43aea5be3abeacce902a1b5a7f454e002fa7c7379e1d6093aaba362bf97de1d504d209dc44cfb5a63b795
+DIST pyupgrade-3.15.0.gh.tar.gz 65317 BLAKE2B a13eca9d5591068355722e0cd0d16debce7c4d55fbce2759af9f0154cf5591beca20bc7e4551d6d707ef63deccf142e639229fb052063be68921c435731dd5ef SHA512 58bde84c625898ded781b4bb0cf8409ad406f81fe4f4f1819bc261714928dd6b9bb2063cd12697ce17a20dc7a56426685ba02b8ef3e306023e109277d2da2205
diff --git a/dev-python/pyupgrade/pyupgrade-3.15.0.ebuild b/dev-python/pyupgrade/pyupgrade-3.15.0.ebuild
new file mode 100644
index 000000000000..7e7de8e896c4
--- /dev/null
+++ b/dev-python/pyupgrade/pyupgrade-3.15.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool + pre-commit hook to automatically upgrade syntax for newer Pythons"
+HOMEPAGE="
+ https://github.com/asottile/pyupgrade/
+ https://pypi.org/project/pyupgrade/
+"
+# no tests in sdist, as of 3.3.2
+SRC_URI="
+ https://github.com/asottile/pyupgrade/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/tokenize-rt-5.2.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pywlroots/Manifest b/dev-python/pywlroots/Manifest
index 74f31e4c7194..22fd5902ef0c 100644
--- a/dev-python/pywlroots/Manifest
+++ b/dev-python/pywlroots/Manifest
@@ -1,3 +1,4 @@
DIST pywlroots-0.15.24.gh.tar.gz 85570 BLAKE2B 0c7ba0be6159152488785298028bb1feec20e2380357060a850dab417b3fb1fccb4a9e6cc6564d2b7f124bf4fc454789549267e9036b0b4559e5fcd4c6f06196 SHA512 b29b76cf18a65b2ef19d15ecf018a9ba44119d60ee61435967d17f06d5f7544d2117f2e9a81574734c71591a237b00c8584a5cc6d6adb928f39f11170f21ee94
DIST pywlroots-0.16.4.tar.gz 91198 BLAKE2B eb1fd95dc16cb1c4b969d4c69627c344d03f6ec9d3651c2dcfa3067afbde979924bb88b4cb39c8a264da08392a641a73a45ee79a4e76f1d475d9afc2c5cc310c SHA512 9f10b510f0b034448f65658f5b234c0d152440c0ce133918dbb97ff2c8f3a9ee2ee19011f1fd931713da798c8dce55bf485c559e18f0468c19702996d0f29cd8
DIST pywlroots-0.16.5.tar.gz 91626 BLAKE2B e91acaf92b56e67e42465379018f154d6f1a455d5f8fa7319d8a50a569f1e424026501b2c648f4a976a7961939eeadb52696aaa87ee4b644e4a2e3ebe6c06862 SHA512 6336150dabd3847f818baa65124519c3935a15a9eb360a93e6be7ad217283e1f55f4cc299d692eaefe2fc7d11d4edbdaa7f946498b16403e7012f99d91c4a200
+DIST pywlroots-0.16.6.tar.gz 91625 BLAKE2B d8784add8266958745fb9d9ca25d47b3bd52957cef22a70b30b051aa53996a8b870d436a44c75f8a16fd7346b7ff2c00a70eb86b376294f3928ecd8807b6646e SHA512 31588ebccbd269e45374cd42067738c23bd76ea8a0304d17aff9da33c7686a5fb9c83a676575f0ad034afd2827cb8bea7eb9334e96badcc83ffede56fbf75a1b
diff --git a/dev-python/pywlroots/pywlroots-0.16.6.ebuild b/dev-python/pywlroots/pywlroots-0.16.6.ebuild
new file mode 100644
index 000000000000..ff630f37b59f
--- /dev/null
+++ b/dev-python/pywlroots/pywlroots-0.16.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python binding to the wlroots library using cffi"
+HOMEPAGE="
+ https://github.com/flacjacket/pywlroots/
+ https://pypi.org/project/pywlroots/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+# See README for wlroots dep
+DEPEND="
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pywayland-0.4.14[${PYTHON_USEDEP}]
+ >=dev-python/xkbcommon-0.2[${PYTHON_USEDEP}]
+ =gui-libs/wlroots-$(ver_cut 1-2)*:=
+ x11-base/xwayland
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.15.24-no-import-version-check.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf wlroots || die
+ epytest
+}
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index 6300a07235af..264dfb2085b8 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1 +1,2 @@
DIST websocket-client-1.6.3.tar.gz 51904 BLAKE2B e177e992a4642bf7965ac75686f1d9cd5fde8acbbcb736b5324a6f0ef5207ae8f8d050e3e394ea615558c51fad776a88e0c922b02f56afede1de915d4ca1fc4d SHA512 0146682307846a9f7b1e91577bd65790f8be1f958094e1c23b29fc9ab485280b43e476a7ce376cc65c7deec1a62766cc7d7172d6a718a19b8dc7a1948dac6f94
+DIST websocket-client-1.6.4.tar.gz 51905 BLAKE2B 5bfab632bfa727ad950c4898f52422b11d9c1582567295dd0833321d494d33c057e94e40fad8d612e2aca6efe0fe03595bcfebd1e890c1b15a6fa97864818e59 SHA512 d5a44c78bf5f6d4b5a1344bf6d5c94435e529dd85ee5d7fe5552478bbf2e57229ca7573b28a93fa28d1e5cf72fd721b4456bb5e154db578ec652cbc82316413b
diff --git a/dev-python/websocket-client/websocket-client-1.6.4.ebuild b/dev-python/websocket-client/websocket-client-1.6.4.ebuild
new file mode 100644
index 000000000000..a8477658992e
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.6.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="
+ https://github.com/websocket-client/websocket-client/
+ https://pypi.org/project/websocket-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}